import React from 'react';
import PropTypes from 'prop-types';

const MenuItem = ({ title, onClick, styles, className, children }) => (
  <div
    title={title || (typeof children === 'string' ? children : '')}
    className={`${styles.item} ${className}`}
    onClick={onClick}
  >
    { children }
  </div>
);

MenuItem.propTypes = {
  onClick: PropTypes.func.isRequired,
  styles: PropTypes.shape(),
  title: PropTypes.string
};

MenuItem.defautProps = {
  onClick: () => {},
  styles: {},
  title: ''
};

export default MenuItem;
